Loading...
Searching...
No Matches
XrdCryptoAux.cc File Reference
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdCrypto/XrdCryptoAux.hh"`
`#include "XrdCrypto/XrdCryptoTrace.hh"`
Include dependency graph for XrdCryptoAux.cc:

Go to the source code of this file.

## Functions

void | XrdCryptoSetTrace (kXR_int32 trace)
time_t | XrdCryptoTZCorr ()

## Variables

XrdOucTrace * | cryptoTrace = 0
static XrdSysError | eDest (0,"crypto_")
static XrdSysLogger | Logger
static time_t | TZCorr = 0
static bool | TZInitialized = 0

## Function Documentation

## XrdCryptoSetTrace()

void XrdCryptoSetTrace | ( | kXR_int32 | trace | ) |

Definition at line 49 of file XrdCryptoAux.cc.

{
// Set trace flags according to 'trace'
//
// Initiate error logging and tracing
eDest.logger(&Logger);
if (!cryptoTrace)
cryptoTrace = new XrdOucTrace(&eDest);
if (cryptoTrace) {
// Set debug mask
cryptoTrace->What = 0;
// Low level only
if ((trace & cryptoTRACE_Notify))
cryptoTrace->What |= cryptoTRACE_Notify;
// Medium level
if ((trace & cryptoTRACE_Debug))
cryptoTrace->What |= (cryptoTRACE_Notify | cryptoTRACE_Debug);
// High level
if ((trace & cryptoTRACE_Dump))
cryptoTrace->What |= cryptoTRACE_ALL;
}
}
cryptoTrace
XrdOucTrace * cryptoTrace
Definition XrdCryptoAux.cc:39
Logger
static XrdSysLogger Logger
Definition XrdCryptoAux.cc:37
eDest
static XrdSysError eDest(0,"crypto_")
cryptoTRACE_Notify
#define cryptoTRACE_Notify
Definition XrdCryptoAux.hh:49
cryptoTRACE_Dump
#define cryptoTRACE_Dump
Definition XrdCryptoAux.hh:47
cryptoTRACE_Debug
#define cryptoTRACE_Debug
Definition XrdCryptoAux.hh:48
cryptoTRACE_ALL
#define cryptoTRACE_ALL
Definition XrdCryptoAux.hh:46
XrdOucTrace
Definition XrdOucTrace.hh:36

References cryptoTrace, cryptoTRACE_ALL, cryptoTRACE_Debug, cryptoTRACE_Dump, cryptoTRACE_Notify, eDest, and Logger.

Referenced by XrdSecProtocolgsi::Init(), XrdSecProtocolpwd::Init(), and main().

Here is the caller graph for this function:

## XrdCryptoTZCorr()

time_t XrdCryptoTZCorr | ( |  | ) |

Definition at line 77 of file XrdCryptoAux.cc.

{
// Time Zone correction (wrt UTC)
// Assumes no DST, the correction is not expected to change during the year
if (!TZInitialized) {
time_t now = time(0);
struct tm ltn, gtn;
if (localtime_r(&now, &ltn) != 0 && gmtime_r(&now, &gtn) != 0) {
TZCorr = time_t(difftime(mktime(&ltn), mktime(&gtn)));
TZInitialized = 1;
}
}
// Done
return TZCorr;
}
TZCorr
static time_t TZCorr
Definition XrdCryptoAux.cc:42
TZInitialized
static bool TZInitialized
Definition XrdCryptoAux.cc:43

References TZCorr, and TZInitialized.

Referenced by Display(), and XrdCryptosslASN1toUTC().

Here is the caller graph for this function:

## Variable Documentation

## cryptoTrace

XrdOucTrace* cryptoTrace = 0

Definition at line 39 of file XrdCryptoAux.cc.

Referenced by XrdCryptoSetTrace().

## eDest

XrdSysError eDest(0,"crypto_") | ( | 0 | ,
|  | "crypto_" | )

static

Referenced by XrdOucGMap::XrdOucGMap(), XrdOucN2NLoader::XrdOucN2NLoader(), XrdXrootdGSReal::XrdXrootdGSReal(), XrdXrootdMonitor::XrdXrootdMonitor(), XrdXrootdTpcMon::XrdXrootdTpcMon(), XrdCmsUtils::~XrdCmsUtils(), XrdOuca2x::a2p(), XrdXrootdFileTable::Add(), XrdDigAuth::Authorize(), XrdNetPMarkCfg::Begin(), XrdOucPsx::ClientConfig(), XrdNetPMarkCfg::Config(), XrdOucLogging::configLog(), XrdPssSys::ConfigMapID(), XrdOucPsx::ConfigSetup(), XrdDigAuth::Configure(), XrdDigConfig::Configure(), XrdCmsConfig::ConfigXeq(), XrdConfig::ConfigXeq(), XrdOucUtils::doIf(), XrdXrootdCallBack::Done(), XrdDigFS::Emsg(), XrdSsiUtils::Emsg(), XrdAccEntity::GetEntity(), XrdCmsSecurity::getVnId(), XrdNetSocket::getWindow(), XrdPssSys::Init(), XrdXrootdFile::Init(), XrdXrootdMonitor::Init(), XrdXrootdMonitor::Init(), LoadFS(), XrdCmsUtils::loadPerfMon(), main(), XrdOucUtils::makeHome(), XrdOucUtils::makeHome(), XrdOucUtils::parseHome(), XrdOucUtils::parseLib(), XrdCmsUtils::ParseMan(), XrdCmsUtils::ParseManPort(), XrdOucUtils::PidFile(), XrdNetRefresh::Register(), XrdXrootdTpcMon::Report(), XrdXrootdCallBack::sendError(), XrdXrootdCallBack::sendResp(), XrdXrootdCallBack::sendVesp(), XrdAccEntity::setError(), XrdNetSocket::setOpts(), XrdCryptosslFactory::SetTrace(), XrdXrootdCallBack::setVals(), XrdNetSocket::setWindow(), XrdNetPMarkFF::Start(), XrdNetRefresh::Start(), XrdOucUtils::subLogfn(), XrdOucUtils::Undercover(), XrdNetRefresh::UnRegister(), XrdCksCalcInit(), XrdCksInit(), XrdCryptoSetTrace(), XrdDigGetFS(), XrdHttpGetSecXtractor(), XrdOfsgetPrepare(), XrdOssStatInfoParm(), XrdOucgetGMap(), XrdOucgetName2Name(), XrdSecLoadSecService(), XrdThrottle::FileSystem::XrdSfsGetFileSystem_Internal, XrdSutSetTrace(), XrdXrootdloadFileSystem(), and XrdXrootdloadRedirLib().

## Logger

XrdSysLogger Logger

static

Definition at line 37 of file XrdCryptoAux.cc.

Referenced by XrdCmsRedirLocal::XrdCmsRedirLocal(), XrdScheduler::XrdScheduler(), XrdCmsPerfMon::Configure(), XrdXrootdProtocol::Configure(), XrdCms::GetDefaultClient(), main(), main(), XrdSsiLogger::Msgv(), XrdCryptosslFactory::SetTrace(), XrdSsiLogger::TBeg(), XrdSsiLogger::TEnd(), XrdCmsGetClient(), XrdCryptoSetTrace(), XrdOssAddStorageSystem2(), XrdOssGetSS(), XrdOssGetStorageSystem2(), XrdOssStatInfoInit(), XrdOssStatInfoInit2(), XrdSfsGetFileSystem2(), XrdSutSetTrace(), and XrdVERSIONINFO().

## TZCorr

time_t TZCorr = 0

static

Definition at line 42 of file XrdCryptoAux.cc.

Referenced by XrdCryptoTZCorr().

## TZInitialized

bool TZInitialized = 0

static

Definition at line 43 of file XrdCryptoAux.cc.

Referenced by XrdCryptoTZCorr().